%define upstream_name Business-ISMN
%define upstream_version 1.204

%{?perl_default_filter}

Name:       perl-Business-ISMN
Version:    %upstream_version
Release:    %mkrel 1
Summary:    Perl library for International Standard Music Numbers
License:    Artistic 2.0
Url:        https://metacpan.org/release/Business-ISMN
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/B/BD/BDFOY/Business-ISMN-%{version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Tie::Cycle) >= 1.210.0
BuildRequires: coreutils
BuildRequires: make
BuildRequires: perl
Recommends:     perl(GD::Barcode::EAN13)

%description
%{summary}.

%prep
%setup -q -n Business-ISMN-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 14 2024 tv <tv> 1.204-1.mga10
+ Revision: 2041265
- update to 1.204

* Thu Sep 21 2023 tv <tv> 1.203-1.mga10
+ Revision: 1989072
- update to 1.203
- Use mkrel & upstream_name macros

* Fri Nov 26 2021 joequant <joequant> 1.202-1.mga9
+ Revision: 1759275
- imported package perl-Business-ISMN

